Issue 29085 - Spell checker for French language should not force accenting capital letters
Spell checker for French language should not force accenting capital letters
Status: ACCEPTED
Product: General
Classification: Code
Component: spell checking
OOo 3.3 or older
PC Windows ME
: P3 trivial (vote)
: ---
Assigned To: AOO issues mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-12 12:29 UTC by jeanmarc94
Modified: 2013-02-24 20:43 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
screen capture to document problem report (4.66 KB, image/png)
2004-05-12 12:30 UTC, jeanmarc94
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description jeanmarc94 2004-05-12 12:29:55 UTC
OOo 1.1.1 spellchecker underlines words when the first letter of a word should 
have an accent even if it is a capital letter. French grammar specifies that 
capital letters don't have accents.

On right-click, spellchecker proposes to replace the capital letter with no 
accent by its equivalent small letter with an accent. Here user has no choice 
but to accept the replacement or to keep the red underlined word with a 
capital letter having no accent.

When the word with 'missing' accent on the first letter is also the first word 
of a sentence, then spellchecker proposes to replace the capital letter by its 
equivalent capital letter with an accent. User can select either a small 
letter with an accent or capital letter with an accent.

In my opinion, spellchecker should accept capital letters with no accent for 
French language, or should authorise accenting capital letters even when the 
word is not the first one of a sentence.
Comment 1 jeanmarc94 2004-05-12 12:30:36 UTC
Created attachment 15202 [details]
screen capture to document problem report
Comment 2 khendricks 2004-05-12 12:55:31 UTC
Hi,

I just downloaded the fr_FR.zip and examined both the fr_FR.aff and fr_FR.dic and neither seems to 
support capital letters after standard prefixes d' or l' etc.  There are also no capital letter entries to 
allow formation of  Ele'phant from e'le'phant.

So this is not something linugcomponent can fix.  The authors of the fr_FR dictionary simply need to 
expand the set of prefixes used to allow conversion of lowercase accents to uppercase with no accents 
(for the letters that allow that to happen) and then add the correct affix flags to those word entries in 
the fr_FR.dic file.   Another solution is to explicitly add the capital letter variations to the word list itself.

Either way, this is a problem caused by incomplete fr_FR.zip and not something I can fix in 
lingucomponent.

Please contact the authors of the fr_FR dictionary directly or see if someone on the dev@native-lang can 
get this information to the people that need it.

Hope this helps,

Kevin
 
Comment 3 jeanmarc94 2004-05-12 13:07:31 UTC
Hi Kevin,

Thank you for your help.
I will try to get in touch with the relevant persons.

Regards

Jean-Marc
Comment 4 nemeth.lacko 2005-10-26 10:25:24 UTC
Dear French colleagues,

,,European French accented characters lose their accents in uppercase (é becomes
E). However, French-Canadian accented characters keep their accents (é becomes
É).''
(http://msdn.microsoft.com/library/default.asp?url=/library/en-us/vsent7/html/vxconlanguageissues.asp)

Is it right? Is "Éléphant" a bad word, but "Eléphant" and
"ELEPHANT" right ones in modern French writing?

If yes, we can fix the French OpenOffice.org dictionary (plus
make a Canadian French dictionary for Canadians).

Laci
Comment 5 cbrunet 2005-10-26 16:32:53 UTC
I don't know for France, but in Québec (fr_CA), we write Éléphant. The rule that capitals letters lose their 
accents is deprecaded. I think it existed because it wasn't possible to write accentued capitals on old 
typewriters. Just look in a modern book or a newspaper in French to see that capitals letters keep their 
accents.
imho
Comment 6 benoitl 2006-03-23 16:26:40 UTC
> French grammar specifies that capital letters don't have accents.

This is not true at all, and not only in Québec :)

Some references (in French of course):
France: http://www.academie-francaise.fr/langue/questions.html#accentuation
European Union (including Belgium, Luxembourg):
http://publications.eu.int/code/fr/fr-240203.htm#i55

Discussion and rationale:
http://www.langue-fr.net/d/maj_accent/maj_accent.htm
http://www.mail-archive.com/discuss@fr.openoffice.org/msg01936.html

It seems that the Word spellchecker has a setting to optionally ignore this rule
though: http://office.microsoft.com/en-ca/assistance/HP051896001033.aspx

You may want to do the same for "legacy typewriters", but it shouldn't be the
default in any variant of French.
Comment 7 loic.breilloux 2006-04-02 17:24:38 UTC
With the version 2.0.2 the problem is fixed because the dictionnary was changed.

The new dictionnary based on Hunspell fixed the problem.
Now, when you write "Elephant" the dict. says that is it a error and suggest
"Éléphant".

so for me the problem is FIXED and CLOSE

Loic